Subject: [manet] I-D Action: draft-ietf-manet-rfc6622-bis-02.txt

From: [email-masked]
Date: Mon, 15 Apr 2013 08:59:15 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
 This draft is a work item of the Mobile Ad-hoc Networks Working Group of the IETF.

	Title           : Integrity Check Value and Timestamp TLV Definitions for Mobile Ad Hoc Networks (MANETs)
	Author(s)       : Ulrich Herberg
                          Thomas Heide Clausen
                          Christopher Dearlove
	Filename        : draft-ietf-manet-rfc6622-bis-02.txt
	Pages           : 24
	Date            : 2013-04-15

Abstract:
   This document revises, extends and replaces RFC 6622.  It describes
   general and flexible TLVs for representing cryptographic Integrity
   Check Values (ICVs) and timestamps, using the generalized Mobile Ad
   Hoc Network (MANET) packet/message format defined in RFC 5444.  It
   defines two Packet TLVs, two Message TLVs, and two Address Block TLVs
   for affixing ICVs and timestamps to a packet, a message, and one or
   more addresses, respectively.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-manet-rfc6622-bis

There's also a htmlized version available at:
http://tools.ietf.org/html/draft-ietf-manet-rfc6622-bis-02

A diff from the previous version is available at:
http://www.ietf.org/rfcdiff?url2=draft-ietf-manet-rfc6622-bis-02

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: Henning Rogge <[email-masked]>
Date: Mon, 22 Apr 2013 15:00:38 +0200

Hi,

thank you to the Authors for updating the document quickly.

We thought we finally got the OLSRv2 RFC running, but hit a roadblock 
again... so lets try to get rid of it.

I think draft 02 is much more explicit about a lot of things and clears 
up the difference between the two ICV TLV extensions well.

How do we push forward now?

Henning Rogge

On 04/15/2013 05:59 PM, [email-masked] wrote:
> _______________________________________________
> manet mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/manet
>

-- 
Diplom-Informatiker Henning Rogge , Fraunhofer-Institut für
Kommunikation, Informationsverarbeitung und Ergonomie FKIE
Kommunikationssysteme (KOM)
Fraunhofer Straße 20, 53343 Wachtberg, Germany
Telefon +49 228 9435-961,   Fax +49 228 9435 685
mailto:[email-masked] http://www.fkie.fraunhofer.de

---

From: "Dearlove, Christopher (UK)" <[email-masked]>
Date: Mon, 22 Apr 2013 15:17:40 +0000

We, the authors, think both this document, and the also necessary NHDP/OLSRv2 security document are ready for WGLC, as I think Ulrich has already described. We would like to urge the WG chairs to start the process.

We'd also like to thank Henning for saying he'd like truncated signatures, which enabled the authors to realise that truncated signatures actually already worked, it's just no one had pointed that out and made it explicitly allowed. So we did. Also thanks to Justin for pointing out that that packet signatures were underspecified in one detail, also now fixed. Plus general comments from both reviewers also appreciated.

-- 
Christopher Dearlove
Senior Principal Engineer, Communications Group
Communications, Networks and Image Analysis Capability
BAE Systems Advanced Technology Centre
West Hanningfield Road, Great Baddow, Chelmsford, CM2 8HN, UK
Tel: +44 1245 242194 |  Fax: +44 1245 242124
[email-masked] | http://www.baesystems.com

BAE Systems (Operations) Limited
Registered Office: Warwick House, PO Box 87, Farnborough Aerospace Centre, Farnborough, Hants, GU14 6YU, UK
Registered in England & Wales No: 1996687

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Henning Rogge
Sent: 22 April 2013 14:01
To: [email-masked]
Cc: Joe Macker; Stan Ratliff
Subject: Re: [manet] I-D Action: draft-ietf-manet-rfc6622-bis-02.txt

Hi,

Henning Rogge

********************************************************************
This email and any attachments are confidential to the intended
recipient and may also be privileged. If you are not the intended
recipient please delete it from your system and notify the sender.
You should not copy it or use it for any purpose nor disclose or
distribute its contents to any other person.
********************************************************************

---

From: Justin Dean <[email-masked]>
Date: Mon, 22 Apr 2013 13:59:02 -0400

Thanks for the update.  The clarity with the packet level signatures is
appreciated.  From a quick look I only have two minor nits.

The added paragraph to section 12.1.1 "Rationale" is really quite helpful
and find its placement buried in the middle of the specification
unfortunate.  Section 1.1 provides a summary of the rational but IMO it is
less helpful than the new paragraph provided (although I can see how the
detail at 1.1 would be overmuch).

2) The registration type extension breakouts including descriptions for
each is helpful but the wording for the new (type=2) can be simplified.
ICV, using a cryptographic function and hash function (including the IP
datagraph source address), as specified in Section 12 of this document.

I'll try and do one more through look through once it's last called which I
am in favor of happening at this time.

Justin Dean

On Mon, Apr 22, 2013 at 11:17 AM, Dearlove, Christopher (UK) <
[email-masked]> wrote:

> We, the authors, think both this document, and the also necessary
> NHDP/OLSRv2 security document are ready for WGLC, as I think Ulrich has
> already described. We would like to urge the WG chairs to start the process.
>
> We'd also like to thank Henning for saying he'd like truncated signatures,
> which enabled the authors to realise that truncated signatures actually
> already worked, it's just no one had pointed that out and made it
> explicitly allowed. So we did. Also thanks to Justin for pointing out that
> that packet signatures were underspecified in one detail, also now fixed.
> Plus general comments from both reviewers also appreciated.
>
> --
> Christopher Dearlove
> >       Title           : Integrity Check Value and Timestamp TLV
> Definitions for Mobile Ad Hoc Networks (MANETs)

---

From: Ulrich Herberg <[email-masked]>
Date: Mon, 22 Apr 2013 11:11:34 -0700

Thank you Justin for providing the additional comments. We have added them
to the TODO list of things to happen during a WGLC, which we hope can be
initiated now.

Best regards
Ulrich

On Mon, Apr 22, 2013 at 10:59 AM, Justin Dean <[email-masked]> wrote:

> I'll try and do one more through look through once it's last called which
> I am in favor of happening at this time.
>
> Justin Dean
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>> We'd also like to thank Henning for saying he'd like truncated
>> signatures, which enabled the authors to realise that truncated signatures
>> actually already worked, it's just no one had pointed that out and made it

---

From: Abdussalam Baryun <[email-masked]>
Date: Tue, 23 Apr 2013 15:50:25 +0200

IMO, this document is not related only to OLSRv2 and it was not
presented in any WG meeting (obsoletes RFC6622), it is better to get
more discussions and feedback for its progress,

AB

---

From: "Stan Ratliff (sratliff)" <[email-masked]>
Date: Tue, 23 Apr 2013 14:06:22 +0000

AB, 

> more discussions and feedback for its progress,

Do you have a list of concerns, or specific areas of the document you feel need additional discussion? To be completely honest, a general recommendation to "talk about it more" doesn't help me a lot. 

Regards,
Stan

---

From: Abdussalam Baryun <[email-masked]>
Date: Thu, 25 Apr 2013 21:45:09 +0200

Hi Stan,

> a general recommendation to "talk about it more" doesn't help me a lot.

I want to investigate or know opinions of how much AODVv2 can *use*
this document or add to it. My input means fast born documents into
WGLC does not help either. I would like to see input from AODVv2
*users* regarding this new document,

AB

On 4/23/13, Stan Ratliff (sratliff) <[email-masked]> wrote:
> Do you have a list of concerns, or specific areas of the document you feel
> need additional discussion? To be completely honest, a general
> recommendation to "talk about it more" doesn't help me a lot.
>
> Regards,
> Stan
>
>
>>
>> AB
>>
>>>>  This draft is a work item of the Mobile Ad-hoc Networks Working Group
>>>> of
>>>> the IETF.
>>>>
>>>> 	Title           : Integrity Check Value and Timestamp TLV Definitions
>>>> for
>>>> Mobile Ad Hoc Networks (MANETs)

---

From: "Stan Ratliff (sratliff)" <[email-masked]>
Date: Fri, 26 Apr 2013 03:42:12 +0000

AB, 

I understand. However, there have been multiple requests from WG participants to move this document to WGLC, and only your comment for additional discussion. Therefore, it looks like "rough consensus" is behind moving to WGLC. 

Regards,
Stan